//! Demonstrates the progress bar with a slow counter.

use mimir_progress::{Progress, ProgressInterval};
use std::{thread, time::Duration};

fn main() {
    let mut pb = Progress::new(10000, ProgressInterval::Count(1));
    pb.set_prefix("demo: ".to_string());

    for _ in 0..10000 {
        thread::sleep(Duration::from_millis(10));
        pb.inc();
    }
}
